%set_perl_req_method relaxed
# BEGIN SourceDeps(oneline):
BuildRequires: perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(List/AllUtils.pm) perl(Module/Runtime.pm) perl(Moo.pm) perl(String/Escape.pm) perl(Sub/Name.pm) perl(Test/CheckDeps.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Types/Standard.pm) perl(namespace/clean.pm) perl(sanity.pm)
# END SourceDeps(oneline)
%define module_name Parse-Path
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.92
Release: alt1
Summary: Parser for paths
Group: Development/Perl
License: artistic_2
URL: https://github.com/SineSwiper/Parse-Path/wiki

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BB/BBYRD/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Parse::Path is, well, a parser for paths.  File paths, object paths, URLs...  A path is whatever string that can be translated into
hashE<sol>array keys.  Unlike modules like the File::Spec manpage or the File::Basename manpage, which are designed for interacting with file systems paths in
a portable manner, Parse::Path is designed for interacting with *any* path, filesystem or otherwise, at the lowest level possible.

Paths are split out into steps.  Internally, these are stored as "step hashes".  However, there is some exposure to these hashes as
both input and output, so we'll describe them here:

    {
       type => 'HASH',       # must be either HASH or ARRAY
       key  => 'foo bar',    # as it would be represented as a key
       step => '"foo bar"',  # as it would be represented in a path
       pos  => 'X+1',        # used to determine depth
    }

For the purposes of this manual, a "step" is usually referring to a step hash, unless specified.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE README.html CHANGES
%perl_vendor_privlib/P*

%changelog
* Wed Mar 20 2019 Igor Vlasenko <viy@altlinux.ru> 0.92-alt1
- initial import by package builder

